#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: enclosed-exceptions
version: 1.0.0.2
id: enclosed-exceptions-1.0.0.2-f992266f3024ba41d9232101bbc2dc00

license: MIT
copyright:
maintainer: jmacristovao@gmail.com, michael@snoyman.com
stability:
homepage: https://github.com/jcristovao/enclosed-exceptions
package-url:
synopsis: Catching all exceptions from within an enclosed computation
description: Catching all exceptions raised within an enclosed computation,
             while remaining responsive to (external) asynchronous exceptions.
             For more information on the technique, please see:
             <https://www.fpcomplete.com/user/snoyberg/general-haskell/exceptions/catching-all-exceptions>
category: Control
author: Michael Snoyman, João Cristóvão
exposed: True
exposed-modules: Control.Exception.Enclosed
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/enclosed-exceptions-1.0.0.2
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/enclosed-exceptions-1.0.0.2
              /usr/local/lib
hs-libraries: HSenclosed-exceptions-1.0.0.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: async-2.0.1.5-f71d496cfb8fbc431872b9ec60fe99d0
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         deepseq-1.3.0.2-733fe43e121f761739636bd6670bea77
         lifted-base-0.2.3.0-90c2b172342103b1712ff077ebefdeb9
         monad-control-0.3.3.0-77020b8cc5cc6089930c75c98b452cd1
         transformers-0.3.0.0-16a97696ae672940f1523b262e566ba5
         transformers-base-0.4.2-6e58862b37a26c65c3a96fa2518f39c3
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/enclosed-exceptions-1.0.0.2/html/enclosed-exceptions.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/enclosed-exceptions-1.0.0.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
